package com.perforce.spark.navigation;

public class NavBarConfig implements NavBarInterface {

	private final String title;
	private final String page;
	private final boolean drop;
	private boolean active;

	public NavBarConfig(String title, String page, boolean drop) {
		this.title = title;
		this.page = page;
		this.drop = drop;
		this.active = false;
	}

	@Override
	public String getTitle() {
		return title;
	}

	@Override
	public String getPage() {
		return page;
	}

	@Override
	public boolean isDropDown() {
		return drop;
	}

	@Override
	public boolean isActive() {
		return active;
	}

	@Override
	public void setActive(boolean active) {
		this.active = active;
	}
}